local mod = ...



-- Asset -------------------------------------------------------------------------------------
mod:registerAssetId("models/Pagan3.fbx/Prefab/Stonehenge1Part", "PREFAB_PAGAN_STONEHENGE1")



-- Components -------------------------------------------------------------------------------------



-- Platform -------------------------------------------------------------------------------------
-- mod:configurePrefabFlagList("models/Pagan2.fbx/Prefab/StoneCircle1Part", { "PLATFORM" })



-- Building Asset Processor -------------------------------------------------------------------------------------
mod:registerAssetProcessor("models/Pagan3.fbx", { DataType = "BUILDING_ASSET_PROCESSOR" })



-- Grounding -------------------------------------------------------------------------------------
for i=1, 59, 1 do
	mod:registerPrefabComponent("models/Pagan3.fbx/Prefab/Stonehenge1Part/Block." .. string.sub("000" .. i, -3), {DataType = "COMP_GROUNDED"})
end



-- Building Part: Stonehenge 1 -------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_PAGAN_STONEHENGE1",
	Name = "BUILDING_PART_PAGAN_STONEHENGE_NAME", 
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PAGAN_STONEHENGE1",
        MiniatureConfig = {
            ClipUnderGround = true,
            GroupHeight = -1.0,
            CameraPosition = { 0, 0, 0 },
            OrientationOffset = 0.0,
            CameraPitchOffset = 25.0
        },
	},
	BuildingZone = { 
        ZoneEntryList = {
            { 
                Polygon = polygon.createCircle( 14.0, {0.0, 0.0}, 64 ),
                Type = { DEFAULT = true, NAVIGABLE = true, GRASS_CLEAR = false } 
			}, 
            -- { 
            --     Polygon = polygon.createCircle( 4.0, {0.0, 0.0}, 64 ),
            --     Type = { DEFAULT = false, NAVIGABLE = true, GRASS_CLEAR = true } 
			-- }, 
		}
	},
    Category = "CORE",
    Capacity = 60,
    AssetBuildingFunction = "BUILDING_FUNCTION_PUBLIC_LOUNGE_ROOM",
	Cost = {
        BuildRightTaxes = {	{ Resource = "STONE", Quantity = 200 } },
        -- UpkeepCost = { { Resource = "GOLD", Quantity = 10 } },
        -- RessourcesNeeded = {
        --     { Resource = "TOOL", Quantity = 5 },
		-- }
	},
    EstateSplendor = {
        { Estate = "CLERGY", Quantity = 1.00 },
    },
	DesirabilityModifiers = { 
        {
            Desirability = "DESIRABILITY_RESIDENTIAL",
            Type = "ADD",
            Radius = 25.0,
            Value = 0.5
    	} 
    },
})